Bug 143257 - Need to be able to accept a blank password value
Need to be able to accept a blank password value
Status: NEW
Product: serverplugins
Classification: Unclassified
Component: Sun Appserver 9
6.x
PC Windows Vista
: P3 (vote)
: TBD
Assigned To: Nitya Doraisamy
issues@serverplugins
: UI
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-08 00:32 UTC by Vince Kraemer
Modified: 2009-12-10 12:55 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vince Kraemer 2008-08-08 00:32:33 UTC
I installed the NB/GF/MySQL bundle

I used the default values for the install.

On the mysql page of the installer, there is a field for the password.  that field is blank and that is an acceptable
and common value for the mysql admin user password.

I started to play with MySQL by retargeting the JSFJPA enterprise sample.

the first thing I figured I needed to do was create a connection pool for MySQL.  I used the wizard... and the wizard
doesn't let me enter a blank value for the password.

It needs to allow the password property to be blank.
Comment 1 Vince Kraemer 2008-08-08 00:34:57 UTC
Note: there is a character sequence that you can enter into the field that the server interprets as blank when the
connection pool is registered.... but i am not sure we want to expose the sequence to users...
Comment 2 Vince Kraemer 2008-09-09 17:45:59 UTC
adding note to error message about the "special value". Once I do that I will convert this to an enhancement.
Comment 3 Vince Kraemer 2008-09-09 19:33:09 UTC
we are past UI freeze.  updated the help page associated with this connection pool properties.

http://hg.netbeans.org/main/rev/ab373d5b55b8

We should probably have the hint in the error message... but that can wait.
Comment 4 Quality Engineering 2008-09-10 06:04:42 UTC
Integrated into 'main-golden', will be available in build *200809100201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/ab373d5b55b8
User: Vince Kraemer <vkraemer@netbeans.org>
Log: #143257 : add hint for empty string entry to the help page for the connection pool properties.
Comment 5 Vince Kraemer 2008-09-17 17:16:29 UTC
proposed message change.

When the user has an empty value in the property table the message currently reads.

Properties should have non-empty Name and Value.

I propose changing this message to read...

Properties should have a non-empty Name and Value. Use '()' to indicate that a Value is an empty string.
Comment 6 Kenneth Ganfield 2008-09-24 16:11:21 UTC
approved late UI change
Comment 7 Vince Kraemer 2008-09-25 18:36:04 UTC
http://hg.netbeans.org/main/rev/7c6c6c3093df
for the hint in error message.

convert to enhancement
Comment 8 Quality Engineering 2008-09-27 05:38:17 UTC
Integrated into 'main-golden', will be available in build *200809270201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/23813714ae1d
User: vkraemer@netbeans.org
Log: #143257: add hint about '()' for empty string.
Comment 9 Vince Kraemer 2009-12-10 12:55:15 UTC
no bug should be assigned to issues. distributing the load.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo